青山です。

On Thu, 22 Jun 2000 15:39:32 +0900,
Shugo Maeda <shugo / ruby-lang.org> wrote:

> ruby-1.4系では落ちないのでしょうか?
> あと、最適化オプションを外したりすると状況が変わったりします?

1.4 系でも落ちています。また、とりあえず 1.5.4 (2000-06-23) との組合せ
で、mod_ruby の make の時にだけ最適化オプションを外した場合には落ちま
した。(Apache 1.3.3)

しかし、1.3.12 では、どちらも落ちませんでした。1.3.9 でも落ちなかった
というのも合わせると、現状はこんな感じですね。

Apache/1.3.3  (Unix) Debian/GNU mod_ruby/0.1.8 Ruby/1.4.4(2000-06-01) bad
Apache/1.3.3  (Unix) Debian/GNU mod_ruby/0.1.8 Ruby/1.4.5(2000-06-24) bad
Apache/1.3.3  (Unix) Debian/GNU mod_ruby/0.1.8 Ruby/1.5.4(2000-06-05) bad
Apache/1.3.3  (Unix) Debian/GNU mod_ruby/0.1.8 Ruby/1.5.4(2000-06-12) bad
Apache/1.3.3  (Unix) Debian/GNU mod_ruby/0.1.8 Ruby/1.5.4(2000-06-23) bad
(ただし、GC を止めた場合は ok. 確か、1.4 系も同じ。)

Apache/1.3.9  (Unix) Debian/GNU mod_ruby/0.1.8 Ruby/1.4.4(2000-06-05) ok
Apache/1.3.9  (Unix) Debian/GNU mod_ruby/0.1.8 Ruby/1.5.4(2000-06-12) ok
Apache/1.3.9  (Unix) Debian/GNU mod_ruby/0.1.8 Ruby/1.5.4(2000-06-13) ok

Apache/1.3.12 (Unix) RedHat/6.0 mod_ruby/0.1.8 Ruby/1.4.4(2000-04-14) bad
Apache/1.3.12 (Unix) Debian/GNU mod_ruby/0.1.8 Ruby/1.4.4(2000-04-14) ok
Apache/1.3.12 (Unix) Debian/GNU mod_ruby/0.1.8 Ruby/1.4.5(2000-06-26) ok
Apache/1.3.12 (Unix) Debian/GNU mod_ruby/0.1.8 Ruby/1.5.4(2000-06-12) ok
Apache/1.3.12 (Unix) Debian/GNU mod_ruby/0.1.8 Ruby/1.5.4(2000-06-23) ok


--
青山 和光 Wakou Aoyama <wakou / fsinet.or.jp>